# $Revision: 1.9.2.1 $, $Date: 2007/03/01 00:15:19 $
%include	/usr/lib/rpm/macros.php
%define		_class		XML
%define		_subclass	RPC2
%define		_status		stable
%define		_pearname	XML_RPC2

Summary:	%{_pearname} - XML-RPC client/server library
Summary(pl):	%{_pearname} - biblioteka XML-RPC typu klient-serwer
Name:		php-pear-%{_pearname}
Version:	1.0.0
Release:	1
Epoch:		0
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	e5ee37c07d45e1eb9df3a119af6d95da
URL:		http://pear.php.net/package/XML_RPC2/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(curl)
Requires:	php-common >= 3:5.0.0
Requires:	php-pear
Requires:	php-pear-Cache_Lite >= 1.6.0
Requires:	php-pear-PEAR-core >= 1:1.0b1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML_RPC2 is a pear package providing XML_RPC client and server
services.

XML-RPC is a simple remote procedure call protocol built using HTTP as
transport and XML as encoding.

As a client library, XML_RPC2 is capable of creating a proxy class
which exposes the methods exported by the server. As a server library,
XML_RPC2 is capable of exposing methods from a class or object
instance, seamlessly exporting local methods as remotely callable
procedures.

In PEAR status of this package is: %{_status}.

%description -l pl
XML_RPC2 to pakiet pear dostarczajcy usug typu klient-serwer.

XML-RPC to prosty protok zdalnego wykonywania procedur (Remote
Procedure Call, RPC) stworzony przy uyciu HTTP jako transportu i XML
jako nonika danych.

Jako biblioteka kliencka, XML_RPC2 potrafi stworzy klas
poredniczc ktra ujawni metody eksportowane przez serwer. Jako
biblioteka serwera, XML_RPC2 moe eksportowa lokalne metody do
zdalnie wykonywanych procedur.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoReq:	no
AutoProv:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/XML/RPC2

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/XML_RPC2

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-XML_RPC2.spec,v $
Revision 1.9.2.1  2007/03/01 00:15:19  glen
- 1.0.0-stable

Revision 1.9  2006/12/26 13:11:32  adamg
- updated to 0.0.8

Revision 1.8  2006/05/23 20:18:15  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.7  2006/04/02 13:48:07  glen
- AutoProv: no for -tests

Revision 1.6  2006/04/02 12:01:29  glen
- 0.0.7

Revision 1.5  2006/03/29 22:21:05  glen
- rel 2 (rebuild with less deps)

Revision 1.4  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.3  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.2  2005/12/15 21:35:50  qboosh
- define Epoch to 0 explicitly when using it
- sorted Rs

Revision 1.1  2005/12/10 16:10:15  adamg
- new
